# VoiceFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / VoiceFile

# VoiceFile

(common) `data class VoiceFile : TelegramMediaFile, MimedMediaFile, PlayableMediaFile` (source)

### Constructors

(common)

#### <init>

`VoiceFile(fileId: FileId, fileUniqueId: FileUniqueId, duration: Long? = null, mimeType: MimeType? = null, fileSize: Long? = null)`

### Properties

(common)

#### duration

`val duration: Long?`

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### mimeType

`val mimeType: MimeType?`